/*
 * 作成日: 2005/11/27
 */
package asandatabasebrowser.util;

import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.JTextField;

/**
 * テキストフィールドとファイルを選択するボタンがくっついたコンポーネント
 * [foo.txt    ][...]
 * 
 */
public class FileSelectField extends JPanel {
	JTextField field;
	JButton button;
	FileSelectField() {
		field = new JTextField();
		button = new JButton("...");
		setLayout(new BorderLayout());
		add(field, BorderLayout.CENTER);
		add(button, BorderLayout.WEST);
	}
	
}
